<?php

namespace dominion\cron\controllers;

use Yii;
use yii\web\Controller;
use dominion\cron\models\search\MoleTaskSearch;

/**
 * Default controller for the `cron` module
 */
class DefaultController extends Controller
{

    /**
     * Renders the index view for the module
     * @return string
     */
    public function actionIndex()
    {
        $searchModel = new MoleTaskSearch();
        $dataProvider = $searchModel->search(Yii::$app->request->queryParams);

        return $this->render('index', [
                'searchModel' => $searchModel,
                'dataProvider' => $dataProvider,
        ]);
    }

}
